-- Test Data for the DB
-- Version 2.0 (2021-10-10)

-- Art
INSERT INTO ART (md5_hash, path, title, link, description) VALUES 
    ('hash1', 'folderA/imageA.png', 'Image #0', 'https://127.0.0.1', 'Description of Image#0'),
    ('hash2', 'folderB/imageA.png', 'Image #1', 'https://127.0.0.1', 'Description of Image#1'),
    ('hash3', 'folderC/imageA.png', 'Image #2', 'https://127.0.0.1', 'Description of Image#2'),
    ('hash4', 'folderA/imageB.png', 'Image #3', 'https://127.0.0.1', 'Description of Image#3'),
    ('hash5', 'folderA/imageC.png', 'Image #4', 'https://127.0.0.1', 'Description of Image#4');

-- Artist
INSERT INTO artist (name) VALUES 
    ('Artist A'),
    ('Artist B'),
    ('Artist C');

-- Presence
INSERT INTO presence (name, domain, link, artist_id) VALUES
    ('Presence A', 'Domain A', 'https://127.0.0.1/A', 1),
    ('Presence A', 'Domain B', 'https://127.0.0.1/B', 1),
    ('Presence B', 'Domain A', 'https://127.0.0.1/A', 2),
    ('Presence C', 'Domain A', 'https://127.0.0.1/A', 3);

-- Art with Presence
INSERT INTO art_to_presence (presence_name, presence_domain, art_id) VALUES 
    ('Presence A', 'Domain A', 1),
    ('Presence A', 'Domain A', 2),
    ('Presence B', 'Domain A', 2),
    ('Presence A', 'Domain A', 3);

-- Collection
INSERT INTO art_collection (name, description) VALUES
    ('Collection #0', 'Description of Collection #0'),
    ('Collection #1', 'Description of Collection #1'),
    ('Collection #2', 'Description of Collection #2');


-- Art with Collections
INSERT INTO art_to_art_collection (collection_id, art_id, ranking) VALUES
    (1, 1, 'sad'),
    (1, 2, 'sad2'),
    (1, 3, 'sad3'),
    (2, 1, 'bad'),
    (2, 5, 'bad1'),
    (2, 3, 'bad2'),
    (3, 1, 'dad');

-- Tag_Category
INSERT INTO tag_category (name) VALUES 
    ('Category #0'),
    ('Category #1');

-- Tags
INSERT INTO tag (name, description, category_id) VALUES
    ('base tag #0', 'Description of tag #0', 1),
    ('imply tag #1', 'Desctiption of tag #1', 1),
    ('alias tag #2', 'Description of tag #2', 2),
    ('base tag #3', 'Description of tag #3', 1);

-- Tag Implications
INSERT INTO tag_implication (root_tag, implicate) VALUES
    (1, 2),
    (4, 2);

-- Tag Alias
INSERT INTO tag_alias (tag1, tag2) VALUES 
    (1, 3);

-- Art with Tags
INSERT INTO art_to_tag (art_id, tag_id) VALUES
    (1, 1),
    (1, 4),
    (2, 1),
    (3, 2);
